/********************************************************************
 * Copyright © 2004 EDS. All rights reserved
 ********************************************************************/

/*
 * Created on Sep 7, 2004
 *
 */
package gov.va.med.esr.messaging.builder.message;

// Java classes

// Library classes

// Framework classes
import gov.va.med.fw.hl7.Message;

// EDB Classes
import gov.va.med.esr.messaging.util.AbstractMessagingTest;
import gov.va.med.esr.common.model.person.Person;

import gov.va.med.esr.messaging.builder.message.QRYZ11Builder;
//import gov.va.med.esr.messaging.event.QRYZ11Event;

/**
 * @author Carlos Ruiz
 * @version 1.0
 */
public class QRYZ11BuilderTest extends AbstractMessagingTest {

	/**
	 * @param name
	 */
	public QRYZ11BuilderTest(String name) {
		super(name);
	}
		
	public void testBuild() throws Exception {
	     QRYZ11Builder builder = (QRYZ11Builder)this.applicationContext.getBean("outbound.qryz11Builder");
	     Person person = buildPerson();
	     Message qryz11 = builder.build(person);
	     super.assertNotNull(qryz11);
	     System.out.println(qryz11.getMessageData());
	}
}
